# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "specman"
version = "3.0.0"
authors = ["Justin B <justin@justin.directory>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "SpecMan runtime library for dependency mapping, templating, and lifecycle automation."
readme = "README.md"
license = "MIT"

[lib]
name = "specman"
path = "src/lib.rs"

[[test]]
name = "reference_validation"
path = "tests/reference_validation.rs"

[[test]]
name = "structure_index_cache"
path = "tests/structure_index_cache.rs"

[[test]]
name = "structure_indexing"
path = "tests/structure_indexing.rs"

[[test]]
name = "structure_rendering"
path = "tests/structure_rendering.rs"

[[test]]
name = "workspace_status_test"
path = "tests/workspace_status_test.rs"

[dependencies.getrandom]
version = "0.2"

[dependencies.handlebars]
version = "4.3"

[dependencies.hex]
version = "0.4"

[dependencies.ignore]
version = "0.4.25"

[dependencies.markdown]
version = "1.0"

[dependencies.parking_lot]
version = "0.12"

[dependencies.regex]
version = "1.12.2"

[dependencies.schemars]
version = "1.1"
features = [
    "derive",
    "semver1",
]

[dependencies.semver]
version = "1.0"
features = ["serde"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "1.0"

[dependencies.unicode-normalization]
version = "0.1"

[dependencies.ureq]
version = "2.9"
features = ["tls"]

[dependencies.url]
version = "2.5"

[dev-dependencies.tempfile]
version = "3.10"
